# Copyright (c) 2017, University of Michigan
# All rights reserved.

# Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

# 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

# 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

# 3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.








# Example script for loading the SNOW dataset
# Note that the coordinate system is as follows:
#	The X axis points right. 
#	The Y axis points up. 
#	The Z axis points to us (the viewer).
# The focal length is measured assuming the image's longest side is 640 pixels in length. 

import numpy as np
import h5py
import os

def parse_line(line):
	line = line.strip()
	line = line.split(',')
	filepath = line[0]
	filename = os.path.basename(filepath)
	focal = float(line[2])
	x = int(line[3])
	y = int(line[4])
	return filename,focal,x,y


# read in the new images
f1 = h5py.File('SNOW_train_release.h5','r')
f1_data = f1['/normal'][:]

with open('SNOW_train_release.csv') as infile:
	for line in infile:
		img_name,focal,x,y = parse_line(line)
			
		normal = np.array([f1_data[:,current_idx]]).T
		current_idx += 1

		gt_normal = {"x":normal[0][0], "y":normal[1][0], "z":normal[2][0]}}
	



